import React, { useState, useRef, useEffect } from "react";
import { makeStyles } from '@material-ui/core/styles';
import Menu from '@material-ui/core/Menu';
import MenuItem from '@material-ui/core/MenuItem';
import AddIcon from '@material-ui/icons/Add';
import List from '@material-ui/core/List';
import ListItem from '@material-ui/core/ListItem';
import ListItemText from '@material-ui/core/ListItemText';
import Collapse from '@material-ui/core/Collapse';


const CollapseListDashboard = (props) => {

  // todo: do the rest of the menu

  const [dashboardName, setDashboardName] = React.useState(props.name);
  let firstDashboardIn = false;

  const useStyles = makeStyles((theme) => ({
    nested: {
        paddingLeft: theme.spacing(4),
      },
  }));
  const classes = useStyles();


  return (<div>
          <Collapse in={props.open} timeout="auto" unmountOnExit>
            <List component="div" disablePadding>
              <ListItem button className={classes.nested}>
                <ListItemText primary={dashboardName} />
              </ListItem>
            </List>
           </Collapse>
          </div>);
}

export default CollapseListDashboard;   