import React from 'react';
import Menu from '@material-ui/core/Menu';
import MenuItem from '@material-ui/core/MenuItem';
import AddIcon from '@material-ui/icons/Add';
import {useNavigate} from "react-router-dom";


const AddDashboardMenu = () => {
	
  const navigate = useNavigate()

  return (
  	<div>
      <AddIcon aria-controls="simple-menu" aria-haspopup="true" onClick={() => {
        navigate("/create-dashboard")
      }} />
    </div>
  );

};


export default AddDashboardMenu;
